| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Namespaces | Macros | Typedefs | Functions
OgreD3D9Prerequisites.h File Reference
`#include "OgrePrerequisites.h"`
`#include "Threading/OgreThreadHeaders.h"`
`#include <d3d9.h>`
`#include <d3dx9.h>`

## Namespaces
| Ogre

## Macros
#define | _OgreD3D9Export
#define | D3D9_DEVICE_ACCESS_CRITICAL_SECTION
#define | D3D9_DEVICE_ACCESS_LOCK
#define | D3D9_DEVICE_ACCESS_UNLOCK
#define | DIRECT3D_VERSION 0x0900
#define | OGRE_D3D_MANAGE_BUFFERS 1
#define | OGRE_LOCK_RECURSIVE_MUTEX(name)
#define | OGRE_UNLOCK_RECURSIVE_MUTEX(name)
#define | SAFE_DELETE(p) { if(p) { delete (p); (p)=NULL; } }
#define | SAFE_DELETE_ARRAY(p) { if(p) { delete[] (p); (p)=NULL; } }
#define | SAFE_RELEASE(p) { if(p) { (p)->Release(); (p)=NULL; } }
#define | WIN32_LEAN_AND_MEAN

## Typedefs
typedef SharedPtr< D3D9GpuProgram > | Ogre::D3D9GpuProgramPtr
typedef SharedPtr< D3D9HLSLProgram > | Ogre::D3D9HLSLProgramPtr
typedef SharedPtr< D3D9Texture > | Ogre::D3D9TexturePtr

## Functions
String | Ogre::DXGetErrorDescription (HRESULT hr)

## Macro Definition Documentation

## ◆ OGRE_LOCK_RECURSIVE_MUTEX

#define OGRE_LOCK_RECURSIVE_MUTEX | ( |  | name | ) |

## ◆ OGRE_UNLOCK_RECURSIVE_MUTEX

#define OGRE_UNLOCK_RECURSIVE_MUTEX | ( |  | name | ) |

## ◆ D3D9_DEVICE_ACCESS_LOCK

#define D3D9_DEVICE_ACCESS_LOCK

## ◆ D3D9_DEVICE_ACCESS_UNLOCK

#define D3D9_DEVICE_ACCESS_UNLOCK

## ◆ D3D9_DEVICE_ACCESS_CRITICAL_SECTION

#define D3D9_DEVICE_ACCESS_CRITICAL_SECTION

## ◆ DIRECT3D_VERSION

#define DIRECT3D_VERSION 0x0900

## ◆ SAFE_DELETE

#define SAFE_DELETE | ( |  | p | ) | { if(p) { delete (p); (p)=NULL; } }

## ◆ SAFE_DELETE_ARRAY

#define SAFE_DELETE_ARRAY | ( |  | p | ) | { if(p) { delete[] (p); (p)=NULL; } }

## ◆ SAFE_RELEASE

#define SAFE_RELEASE | ( |  | p | ) | { if(p) { (p)->Release(); (p)=NULL; } }

## ◆ WIN32_LEAN_AND_MEAN

#define WIN32_LEAN_AND_MEAN

## ◆ OGRE_D3D_MANAGE_BUFFERS

#define OGRE_D3D_MANAGE_BUFFERS 1

## ◆ _OgreD3D9Export

#define _OgreD3D9Export